---
- name: create directory
  file:
      path: "{{ prometheus_etc_path }}"
      state: directory

- name: generate prometheus operator override
  template:
    src: prometheus_operator_override.yaml.j2
    dest: "{{ prometheus_operator_override_file }}"
  notify: install or upgrade prometheus operator

- name: copy alert rules sidecars
  copy:
    dest: "{{ prometheus_etc_path }}/{{ item }}.yml"
    src: "{{ item }}.yml"
  loop: "{{ alert_rules_to_import }}"

- name: generate prometheus blackbox override
  copy:
    content: |
      ---
    dest: "{{ prometheus_blackbox_override_file }}"
  notify: install or upgrade prometheus blackbox exporter
